跳转至

获取交易记录

请求地址

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders

参数

路径参数

字段类型描述
b_id
必填
String业务线ID
wallet_code
必填
String钱包ID

查询参数

字段类型描述
chain
必填
StringCactus链名称
允许值:参考支持的代币中的网络缩写列
keyword
可选
String关键字(可根据订单ID、提币订单制单人/申请人、合约地址)
sortByTime
可选
String按时间排序(DESC、ASC)
默认值:DESC - 按创建时间倒序排序
status
可选
String订单状态
startTime
可选
Integer过滤订单起始时间戳
endTime
可选
Integer过滤订单结束时间戳
limit
可选
Integer限制条数,默认为10
offset
可选
Integer偏移量,默认为0

响应

响应体

字段 类型 描述
code Integer 响应代码(0 = 成功)
message String 响应消息
successful Boolean 请求是否成功
data Object 响应数据(详见下方 data 对象详情)

data (对象)

字段 类型 描述
offset Integer 偏移量
limit Integer 限制条数
total Integer 记录总数
list Object[] 历史智能合约交易列表(详见下方 list 对象详情)

list (对象)

字段 类型 描述
time_stamp Long 订单创建时间戳
order_no String 订单号
chain String 链名称
chain_id String 链ID
status String

订单状态
允许值: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED

applicant String 订单制单人/申请人
amount Decimal 提币金额
miner_fee Decimal 执行合约的矿工费
tx_id String 交易哈希
contract_address String 合约地址
contract_data String 合约数据
gas_price Decimal Gas价格
gas_limit Decimal Gas限制
max_fee_per_gas Decimal 最大费用
max_priority_fee_per_gas Decimal 优先费用
description String 订单描述
deposit_trans Object[] 入账交易(详见下方 deposit_trans 对象详情)
withdraw_trans Object[] 出账交易(详见下方 withdraw_trans 对象详情)

deposit_trans / withdraw_trans (对象)

字段 类型 描述
amount Decimal 金额
coin_name String 币种/代币类型

响应示例

{
    "code": 0,
    "message": "",
    "data": {
        "offset": 0,
        "limit": 10,
        "list": [
            {
                "time_stamp": 1607940309000,
                "miner_fee": 4489280000000000,
                "order_no": "D666666000001",
                "contract_address": "0xf8ac10e65f2073460aad5f28e1eabe807dc287cf",
                "gas_price": 20000000000,
                "gas_limit": 274556,
                "contract_data": "0x58c22be7000000000000000000000000018050e30e4bf1cf79bb8b8c2297aa750da045440000000000000000000000000000000000000000000000000000000000000000",
                "applicant": "XXXXX@matrixport.com",
                "status": "FINISHED",
                "amount": 10000000000000000,
                "description": null,
                "tx_id": "0x2c9b57d499dfcbe7a1bac2461d39471b2d6da46b9b81620b93b4e5e8b9e41fb6",
                "deposit_trans": [
                    {
                        "amount": 10000000000000000,
                        "coin_name": "AWETH"
                    }
                ],
                "withdraw_trans": [
                    {
                        "amount": 10000000000000000,
                        "coin_name": "ETH"
                    }
                ]
            }
        ],
        "total": 1
    },
    "successful": true
}